## org.eclipse.datatools.sqltools.result.internal.filters
Class ConnectionProfileFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.datatools.sqltools.result.internal.filters.ConnectionProfileFilter

    public class ConnectionProfileFilter

extends org.eclipse.jface.viewers.ViewerFilter

Filters the result history based on connection profile

Author:
  Dafan Yang

Constructor Summary
`ConnectionProfileFilter(org.eclipse.jface.preference.IPreferenceStore store)` Constructor

Method Summary
`boolean` `select(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object parentElement, java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`filter, filter, isFilterProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileFilter

    public ConnectionProfileFilter(org.eclipse.jface.preference.IPreferenceStore store)

  Constructor

  Parameters:
    `store` - the preference store used to store the filters information

Method Detail

### select

    public boolean select(org.eclipse.jface.viewers.Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

  Specified by:
    `select` in class `org.eclipse.jface.viewers.ViewerFilter`